require "trekyll/version"
require "trekyll/trello_get"
require "trekyll/initializator"

module Trekyll
  # CLI argument interpretter
  def self.command_interpretter(arg)
    case arg
        when "-v", "--version"
            puts "trekyll " + Trekyll::VERSION
        when "init"
            #initialize coppy _init.yml and _config.yml
            fc = Trekyll::TemplateFilesInit.new
            fc.templates_init()
        when "get"
            # start get trello data
            if Trekyll.start_trekyll()
                # when get is complete run jekyll build
                puts "Now Build your Website using jekyll build!"
                # cmd ="jekyll build"
                # system(cmd)
            end
        when "clear"
            # Clear all data files
        when "-h","--help", nil
            # defoult info
            puts "trekyll " + Trekyll::VERSION + " -- Jekyll plugin to use Trello board as CMS backend"
            puts "Usage:"
            puts "  trekyll <subcommand>"
            puts ""
            puts "Subcommands:"
            puts "  --help"
            puts "  -h       Print this help message"
            puts "  init     Initialize Trekyll configuration (creates _init.yml and default Jekyll _config.yml)"
            puts "  get      Get data from Trello board and modify it for Jekyll usage"
        else
            puts "Trekyll command not recognized"
            puts "use: -h or --help to see available commands"
    end

  end

end
