class String
	def sanitize_as_page_title
		self.gsub(/[^[:alnum:] ]/, '').bytes.each_char.select{|c| c.bytes.count < 4 }.join('').gsub('/[#].#\p{L}/','').to_s
	end
	def sanitize_as_page_name
		self.downcase.gsub(/[^[:alnum:] ]/, '').gsub(" ",'_').unicode_normalize(:nfkd).gsub(/[^\x00-\x7F]/,'')
	end
	def sanitize_as_post_name
		self.downcase.gsub(/[^[:alnum:] ]/, '').gsub(" ",'-').unicode_normalize(:nfkd).gsub(/[^\x00-\x7F]/,'')
	end
end
